package cn.yw.nhyw.nhywjtxhdgl.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("nhywjtxhdglDao")
public class NhywjtxhdglDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtxhdgl(Map map) throws SQLException{
		this.insert("insert_Nhywjtxhdgl",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjtxhdgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtxhdgl",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtxhdgl(Map map) throws SQLException{
		return this.update("update_Nhywjtxhdgl",map);
	}

	/**
	 * 修改交通信号灯
	 */
	public Integer updateJtxhdJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtxhdJdWdByXh",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtxhdgl(Map map) throws SQLException{
		return this.delete("delete_Nhywjtxhdgl",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjtxhdgl(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtxhdgl",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtxhdgl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtxhdgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywjtxhdgl(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtxhdgl",map);
	}
	
	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjtxhdgl(Map map) throws SQLException{
		return this.queryForList("query_Nhywjtxhdgl", map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtxhdgl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtxhdgl",map);
	}
}
